File polkit-gnome.spec of Package polkit-gnome

#
# spec file for package polkit-gnome (Version 0.99)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           polkit-gnome
Version:        0.99
Release:        2
# FIXME: as of 0.97, parallel build fails. Reenable it later on.
License:        LGPLv2.1+
Summary:        PolicyKit integration for the GNOME desktop
Url:            http://www.freedesktop.org/wiki/Software/PolicyKit
Group:          System/GUI/GNOME
Source0:        http://hal.freedesktop.org/releases/%{name}-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE polkit-gnome-OnlyShowIn.patch bnc#538897 l.lunak@suse.cz
Patch1:         polkit-gnome-OnlyShowIn.patch
# PATCH-FIX-UPSTREAM polkit-gnome-alternative-button-order-kde.patch bnc#538897 l.lunak@suse.cz
Patch3:         polkit-gnome-alternative-button-order-kde.patch
BuildRequires:  intltool
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk2-devel
BuildRequires:  gtk-doc
BuildRequires:  polkit-devel >= 0.97
BuildRequires:  update-desktop-files
Recommends:     %{name}-lang = %{version}
Supplements:    packageand(polkit:gnome-session)
Supplements:    packageand(polkit:xfce4-session)
Supplements:    packageand(polkit:lxsession)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
polkit-gnome provides an authentication agent for PolicyKit
that matches the look and feel of the GNOME desktop.

%package -n libpolkit-gtk-1-0
License:        LGPLv2.1+
Summary:        Library for PolicyKit integration for the GNOME desktop
Group:          Development/Libraries/GNOME

%description -n libpolkit-gtk-1-0
polkit-gnome provides an authentication agent for PolicyKit
that matches the look and feel of the GNOME desktop.

This library contains widgets to interact with PolicyKit.

%package -n libpolkit-gtk-1-devel
License:        LGPLv2.1+
Summary:        Library for PolicyKit integration for the GNOME desktop - Development Files
Group:          Development/Libraries/GNOME
Requires:       libpolkit-gtk-1-0 = %{version}
Requires:       polkit-devel
Provides:       %{name}-devel = %{version}

%description -n libpolkit-gtk-1-devel
polkit-gnome provides an authentication agent for PolicyKit
that matches the look and feel of the GNOME desktop.

This library contains widgets to interact with PolicyKit.

%lang_package
%prep
%setup -q
%patch1
%patch3

%build
%configure \
  --disable-static \
  --libexecdir=%{_libexecdir}/polkit-gnome \
  --enable-gtk-doc
#%__make %{?jobs:-j%jobs}
%__make

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print
%suse_update_desktop_file polkit-gnome-authentication-agent-1
%find_lang polkit-gnome-1

%clean
rm -rf %{buildroot}

%post -n libpolkit-gtk-1-0 -p /sbin/ldconfig

%postun -n libpolkit-gtk-1-0 -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING HACKING NEWS README
%{_sysconfdir}/xdg/autostart/*.desktop
%{_libexecdir}/polkit-gnome

%files -n libpolkit-gtk-1-0
%defattr(-,root,root,-)
%{_libdir}/libpolkit-gtk-1.so.*
%{_libdir}/girepository-1.0/PolkitGtk-1.0.typelib

%files -n libpolkit-gtk-1-devel
%defattr(-,root,root,-)
%{_libdir}/libpolkit-gtk-1.so
%{_libdir}/pkgconfig/polkit-gtk-1.pc
%{_includedir}/polkit-gtk-1/
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gtk-doc/html/polkit-gtk-1/

%files lang -f polkit-gnome-1.lang

%changelog